Arch Raum

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Space and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Vorherige: Arch Roof.svg Dach
Nächste: Treppe Arch Stairs.svg Arrow-right.svg

Arch Space.svg Arch Raum

Menüeintrag
Arch → Raum
Arbeitsbereich
Arch
Standardtastenkürzel
S P
Eingeführt in Version
0.14
Siehe auch
Wand, Struktur

Beschreibung

Mit dem Raum Werkzeug kannst du ein leeres Volumen festlegen, entweder indem du es auf einer festen Form basierst, oder indem du seine Grenzen oder eine Mischung aus beidem festlegst. Wenn es ausschließlich auf Begrenzungen basiert, wird das Volumen berechnet, indem von der Begrenzungsbox aller gegebenen Begrenzungen ausgegangen und die Räume hinter jeder Begrenzung subtrahiert werden. Das Raumobjekt definiert immer ein festes Volumen. Die Bodenfläche eines Raumobjekts, die berechnet wird, indem eine horizontale Ebene im Massenschwerpunkt des Raumvolumens geschnitten wird, kann ebenfalls angezeigt werden.

Arch Space example.jpg

Raumobjekt, das aus einem vorhandenen Volumenobjekt erstellt wird, dann werden zwei Wandflächen als Begrenzungen hinzugefügt.

Anwendung

  1. Wähle ein vorhandenes Volumenkörperobjekt oder Flächen auf Begrenzungsobjekten aus.
  2. Rufe den Arch Raum Befehl mit mehreren Methoden auf:
    • Drücken der Arch Space.svg Arch Raum Schaltfläche in der Werkzeugleiste.
    • Verwenden der S, dann P Tastaturkürzel
    • Verwenden des Arch → Raum Eintrags aus dem oberen Menü

Begrenzungen

  • Die Grenzeigenschaften können momentan nicht über die GUI bearbeitet werden.
  • Siehe die Forumsankündigung.

Eigenschaften

  • Daten-EigenschaftBasis: Das Basisobjekt, falls vorhanden (muss ein Volumenkörper sein)
  • Daten-EigenschaftGrenzen: Eine Liste möglicher Begrenzungselemente
  • DatenBereich: Die berechnete Bodenfläche dieses Raumes
  • DatenFertigstellenFußboden: Die Fertigstellung des Fußbodens in diesem Raum
  • DatenFertigstellungWände : Die Fertigstellung der Wände dieses Raumes
  • DatenFertigstellenDecke: Die Fertigstellung der Decke dieses Raumes
  • DatenGruppe: Objekte, die sich in diesem Raum befinden, wie zum Beispiel Möbel
  • DatenRaumTyp: Der Typ dieses Raumes
  • DatenFußbodenDicke: Die Dicke des Fußbodenbelags
  • DatenAnzahlPersonen: Die Anzahl der Personen, die typischerweise diesen Raum besetzen
  • DatenBeleuchtungLeistung: Die zur Beleuchtung dieses Raumes benötigte elektrische Leistung in Watt
  • DatenAusrüstungLeistung: Die für die Ausrüstung dieses Raumes benötigte elektrische Leistung in Watt
  • DatenAutoLeistung: Wenn dies zutrifft, wird die Geräteleistung automatisch von den in diesem Feld aufgeführten Geräten übernommen.
  • DatenKlimatisierung: Die Art der Klimatisierung dieses Raumes
  • DatenIntern: Gibt an, ob dieser Raum intern oder extern ist
  • AnsichtText: Der anzuzeigende Text. Verwende $area, $label, $tag, $floor, $walls, $ceiling, um die entsprechenden Daten einzufügen
  • AnsichtSchriftName: Der Name der Schriftart
  • AnsichtTextFarbe: Die Farbe des Textes
  • AnsichtSchriftGröße: Die Größe des Textes
  • AnsichtErsteLinie: Die Größe der ersten Linie (multipliziert die Schriftgröße. 1 = gleiche Größe, 2 = doppelte Größe, usw.)
  • AnsichtZeilenAbstand: Der Abstand zwischen den Textzeilen
  • AnsichtTextPosition: Die Position des Textes. Hinterlasse (0,0,0) für die automatische Position
  • AnsichtTextAusrichtung: Die Ausrichtung des Textes
  • AnsichtDezimalstellen: Die Anzahl der zu verwendenden Dezimalstellen für berechnete Texte
  • AnsichtZeigeEinheit: Anzeige des Einheiten Zusatz
anzeigen oder nicht

Optionen

  • Um Zonen zu erstellen, die mehrere Räume gruppieren, verwende ein Arch GebäudeTeil und setze dessen IFC Typ auf "Räumliche Zone".
  • Das Raumobjekt hat dieselben Anzeigemodi wie andere Arch- und Teilobjekte, mit einem weiteren, Fußabdruck benannten, der nur die Unterseite des Raumes anzeigt. introduced in version 0.19

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Raum Werkzeug kann in Makros und aus der Python Konsole mit der folgenden Funktion verwendet werden:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Erstellt ein Space Objekt aus den gegebenen objects oder baseobj, die
    • ein Dokumentobjekt sein können, wodurch es zur Basisform des Raumobjekts wird oder
    • eine Liste von Auswahlobjekten wie von FreeCADGui.Selection.getSelectionEx() oder
    • eine Liste von Tupeln (object, subobjectname)

Beispiel:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

Nach der Erstellung eines Raum-Objekts können ausgewählte Flächen durch den folgenden Code hinzugefügt werden:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Begrenzungen können auch entfernt werden, wieder durch auswählen der angegebenen Flächen:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)


Arrow-left.svg Vorherige: Arch Roof.svg Dach
Nächste: Treppe Arch Stairs.svg Arrow-right.svg